html {
  overflow-x: visible;
}

.main {
  padding-bottom: 2.1738rem;
}

.single-corporate-group .main {
  padding-bottom: 0;
}

.select__content {
  background-color: #fff;
  box-shadow: 8px 8px 24px 0 rgba(0, 0, 0, 0.15);
  margin-top: 4rem;
  padding: 1.5rem 2rem 2rem;
}

.select__title {
  font-size: clamp(0.75rem, 2vw, 1.25rem);
  font-weight: 700;
  margin-bottom: 1rem;
}

.tagBlock {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.tag {
  align-items: center;
  background-color: #f3f4f4;
  border: 1px solid transparent;
  cursor: pointer;
  display: inline-flex;
  font-size: clamp(0.75rem, 1vw, 0.875rem);
  gap: 0.5rem;
  padding: 0.5rem 1rem 0.5rem 0.5rem;
  transition: all 0.3s;
  user-select: none;
}

.tagButton {
  opacity: 0;
  pointer-events: none;
  position: absolute;
}

.radio {
  align-items: center;
  background-color: #fff;
  border: 1px solid #dddddd;
  border-radius: 50%;
  box-sizing: border-box;
  display: inline-flex;
  height: 1rem;
  justify-content: center;
  transition: all 0.2s ease;
  width: 1rem;
}

.radio::after {
  background-color: var(--colorRed);
  border-radius: 50%;
  content: "";
  height: 0.5rem;
  transform: scale(0);
  transition: transform 0.2s ease;
  width: 0.5rem;
}

.tag:has(.tagButton:checked) {
  background-color: #fff;
  border: 1px solid #fec9c7;
}

.tagButton:checked + .radio {
  border-color: var(--colorRed);
}

.tagButton:checked + .radio::after {
  transform: scale(1);
}

.tag:hover {
  background-color: #eaecec;
}

.grid__company {
  column-gap: 2rem;
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 9.5rem;
  margin-top: 5rem;
  row-gap: 3.5rem;
}

.company__card {
  text-align: left;
  width: calc((100% - 4rem) / 3);
}

.company__card.filter-item {
  display: none;
}

.company__card.filter-item.show {
  animation: fadein 0.8s ease-out;
  display: block;
}

@keyframes fadein {
  0% {
    opacity: 0.3;
  }
  100% {
    opacity: 1;
  }
}

.company__card .tag {
  cursor: text;
  padding: 0.5rem;
  user-select: auto;
}

.company__card .tag:hover {
  background: #f3f4f4;
}

.company__img {
  align-items: center;
  aspect-ratio: 339 / 160;
  border: 1px solid #dddddd;
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: hidden;
  position: relative;
  width: 100%;
}

.company__img img {
  left: 50%;
  max-width: 25rem;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  transition: transform 0.3s;
  width: 90%;
}

@media (hover: hover) {
  .post-type-archive .company__img:hover img {
    transform: translate(-50%, -50%) scale(1.1);
    transform-origin: center;
  }
}

.company__name {
  -webkit-box-orient: vertical;
  display: -webkit-box;
  font-size: 1.125rem;
  font-weight: 700;
  -webkit-line-clamp: 3;
  margin-top: 1rem;
  overflow: hidden;
}

.company__card .tagBlock {
  margin-top: 1rem;
}

.detailFlex {
  align-items: center;
  display: flex;
  gap: 1.5rem;
  justify-content: left;
  margin-top: 1.5rem;
}

.detailFlex a {
  font-size: clamp(0.875rem, 1.1vw, 1rem);
  font-weight: 700;
  padding-right: 1.75rem;
}

.is-iconLink {
  height: 24px;
  width: 24px;
}

@media screen and (max-width: 767px) {
  .select__content {
    margin-top: 4rem;
    padding: 1rem 1rem 1.5rem;
  }

  .select__title {
    font-size: var(--size20);
  }

  .grid__company {
    margin-bottom: 6rem;
    margin-top: 4rem;
    row-gap: 2.5rem;
  }

  .company__img img {
    max-width: 18.75rem;
  }
}

/* ====================================================
    グループ企業詳細
===================================================== */
.corporate__grid {
  column-gap: 5.625rem;
  display: grid;
  grid-template-columns: 33.3% auto;
  margin-bottom: 9.5rem;
  margin-top: 5rem;
}

.fixed__left .company__card {
  position: sticky;
  top: calc(7.8125rem + 1.25rem);
  width: 100%;
}

.corporate__right p {
  line-height: 1.8;
}

.corporate__right h2 {
  font-size: 1.25rem;
  font-weight: 700;
  margin-bottom: 1rem;
  margin-top: 3rem;
}

.tag__area {
  background-color: #f3f4f4;
  padding: 1.5rem;
}

.tag__area + .tag__area {
  margin-top: 8px;
}

.tag__area h3 {
  font-size: 1.125rem;
  font-weight: 700;
  padding-left: 1.3em;
  position: relative;
}

.tag__area h3::before {
  background-color: rgb(224, 29, 17, 0.2);
  border-radius: 50%;
  content: "";
  height: 1rem;
  left: 0;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 1rem;
}
.tag__area h3::after {
  background-color: var(--colorRed);
  border-radius: 50%;
  content: "";
  height: 0.5rem;
  left: 0;
  position: absolute;
  top: 50%;
  transform: translate(50%, -50%);
  width: 0.5rem;
}

.tag__area p {
  line-height: 1.8;
  margin-top: 0.5rem;
}

/* ======================================
    下層のページタイトル部分
======================================== */
.pageMV__sub {
  padding-top: 9rem;
}

.pageMv__title--subBlock {
  border-bottom: 1px solid #dddddd;
  margin-top: 5rem;
  padding-bottom: 3rem;
  position: relative;
}

.pageMv__title--subBlock::after {
  background-color: var(--colorRed);
  bottom: -0.0625rem;
  content: "";
  height: 0.0625rem;
  left: 0;
  position: absolute;
  width: 7.5rem;
}

.pageMv__subtitle {
  color: var(--colorRed);
  font-size: 1.125rem;
  font-weight: 700;
}

.pageMv__title--sub {
  font-size: 3rem;
  font-weight: 700;
  letter-spacing: 0.05em;
}

@media screen and (max-width: 767px) {
  .pageMV__sub {
    padding-top: 7rem;
  }

  .pageMv__subtitle {
    font-size: var(--size16);
  }

  .pageMv__title--subBlock::after {
    width: 4rem;
  }

  .pageMv__title--sub {
    font-size: 2rem;
  }

  .company__card {
    aspect-ratio: inherit;
  }
}

/* ======================================
    その他のグループ会社
=========================================*/
#other__companies {
  background-color: rgb(243, 244, 244);
  padding-block: 7.5rem 9.5rem;
}

.secTitle__subEn {
  color: var(--colorRed);
  font-family: var(--familyRobotoCondensed);
  font-size: 1rem;
  font-weight: 700;
  line-height: 1.1;
  text-align: center;
}

.secTitle__subJa {
  font-feature-settings: "palt" on;
  font-size: 2.5rem;
  font-weight: 700;
  letter-spacing: 0.05em;
  line-height: 1.5;
  margin-top: 0.5rem;
  text-align: center;
}

.other__grid {
  background-color: #fff;
  column-gap: 1.5rem;
  display: flex;
  flex-wrap: wrap;
  margin-top: 2.5rem;
  padding: 2.5rem;
  row-gap: 2.25rem;
}

.otherCompany__card {
  text-align: left;
  width: calc((100% - 1.5rem * 3) / 4);
}

.otherCompany__img {
  align-items: center;
  aspect-ratio: 252/119;
  border: 1px solid var(--colorGray350);
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: hidden;
  transition: all 0.3s;
  width: 100%;
}

.otherCompany__img img {
  transition: 0.3s;
}

.otherCompany__img.current {
  border: 1px solid var(--colorRed);
}

.otherCompany__name {
  font-size: clamp(0.875rem, 1.1vw, 1rem);
  font-weight: 700;
  margin-top: 0.5rem;
  transition: all 0.3s;
}

.otherCompany__card .tagBlock {
  margin-top: 1rem;
}

.otherTag {
  background-color: #f3f4f4;
  display: inline-block;
  font-size: 0.75rem;
  line-height: 1.5;
  padding: 0.25rem 0.5rem;
}

@media (hover: hover) {
  .otherCompany__card:hover .otherCompany__img img {
    transform: scale(1.1);
  }

  .otherCompany__card:hover .otherCompany__name {
    color: var(--colorRed);
  }
}

@media screen and (max-width: 767px) {
  .corporate__grid {
    gap: 2.125rem;
    grid-template-columns: 1fr;
  }

  .company__card {
    width: 100%;
  }

  .otherCompany__card .tagBlock {
    margin-top: 0.5rem;
  }

  .company__img {
    max-height: 10rem;
    max-width: 100%;
    padding: 1.25rem;
  }

  .explanation {
    margin-top: 2.125rem;
  }

  #other__companies {
    padding-block: 5rem 1rem 6rem;
  }

  .other__grid {
    column-gap: 1rem;
    grid-template-columns: repeat(auto-fit, minmax(9.6875rem, 1fr));
    padding: 1.5rem 1rem;
    row-gap: 1.5rem;
  }

  .otherCompany__card {
    width: calc((100% - 1rem) / 2);
  }
}

/* Single SP CSS */

@media screen and (max-width: 767px) {
  .single-corporate-group .pageMv__title--subBlock {
    padding-bottom: var(--size32);
  }

  .single-corporate-group .pageMv__title--subBlock,
  .single-corporate-group .corporate__grid {
    margin-top: var(--size40);
  }

  .single-corporate-group .corporate__grid {
    margin-bottom: var(--size96);
  }

  .single-corporate-group #other__companies {
    padding-block: var(--size80) var(--size96);
  }

  .single-corporate-group .secTitle__subEn {
    font-size: var(--size14);
  }

  .single-corporate-group .secTitle__subJa {
    font-size: var(--size34);
  }
}
